Bug 109546 - "service iptables save" minior issue
"service iptables save" minior issue
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: 112799 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-11-09 03:32 EST by Daniel McNamara
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-17 08:16:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel McNamara 2003-11-09 03:32:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)

Description of problem:
When making custom rules and getting them to save via the "service
iptables save" the ouput to /etc/sysconfig/iptables is not entirely
correct. The one specific example I have is:

Creating a custom set of firewall rules.

From the command line ran:

iptables -A INPUT -p icmp --icmp-type any -j ACCEPT

Then used "service iptables save"

Went to restart iptables and was presentted with:

Bad argument "any"

Checked /etc/sysconfig/iptables - Found the line had not been saved
correctly to be:

-A INPUT -p icmp -m icmp any -j ACCEPT

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. At the command line: iptables -A INPUT -p icmp --icmp-type any -j
2. Run: service iptables save
3. Check contents of /etc/sysconfig/iptables file - Entry for the
above will be wrong

Actual Results:  iptables fails to start due to bug in saved config

Expected Results:  /etc/sysconfig/iptables should have contained the
correct line to allow firewall to come up correct

Additional info:
Comment 1 Michael Schwendt 2003-11-30 13:20:56 EST
Confirmed. If this is not fixed in upstream code base, consider
submitting a bug report at http://bugzilla.netfilter.org/ too.
Comment 2 Thomas Woerner 2003-12-17 08:16:34 EST
Fixed in rawhide.
Comment 3 Teppo Turtiainen 2004-01-01 17:16:36 EST
*** Bug 112799 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.